org.apache.http.client.methods

## Interface CloseableHttpResponse

- All Superinterfaces:
    AutoCloseable, Closeable, org.apache.http.HttpMessage, org.apache.http.HttpResponse

      public interface CloseableHttpResponse
      extends org.apache.http.HttpResponse, Closeable

  Extended version of the `HttpResponse` interface that also extends `Closeable`.
  Since:
    4.3

- - ### Method Summary

    - ### Methods inherited from interface org.apache.http.HttpResponse

      `getEntity, getLocale, getStatusLine, setEntity, setLocale, setReasonPhrase, setStatusCode, setStatusLine, setStatusLine, setStatusLine`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from interface java.io.Closeable

      `close`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.